<bugID>1280024<Summary>Improve handling of responses with incorrect content type</Summary><Description>Responses served with an incorrect content type are handled correctly by the browser (e.g. CSS and JavaScript are parsed), though are put into the wrong category in the Net Monitor.

This came up recently in the Firebug discussion group:
https://groups.google.com/d/topic/firebug/ZSJmVhEP2-A/discussion

Example:
1. Go to http://www.leihinstrumente.de/
2. Open the Net Monitor
3. Reload the page
4. Switch to the 'Other' filter

=&gt; Several JavaScript files are listed there, because they have 'text/plain' as MIME type.

Firebug does a better job here and lists them under its 'JavaScript' tab.

Sebastian</Description></bugID>